# lugins/osg/VertexProgram.cpp File Reference

`#include "osg/VertexProgram"`
`#include <iostream>`
`#include <sstream>`
`#include "osgDB/Registry"`
`#include "osgDB/Input"`
`#include "osgDB/Output"`

Include dependency graph for lugins/osg/VertexProgram.cpp:

## Functions

bool | VertexProgram_readLocalData (Object &obj, Input &fr)
bool | VertexProgram_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_VertexProgramProxy (new osg::VertexProgram,"VertexProgram","Object StateAttribute VertexProgram",&VertexProgram_readLocalData,&VertexProgram_writeLocalData)

## Function Documentation

bool VertexProgram_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool VertexProgram_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_VertexProgramProxy(new osg::VertexProgram,"VertexProgram","Object StateAttribute VertexProgram",&VertexProgram_readLocalData,&VertexProgram_writeLocalData)